Subject: Re: [bug#66119] [PATCH 0/3] Some OCaml packages (needed for ocaml-toml)

From: Ludovic Courtès <[email-masked]>
Date: Tue, 24 Oct 2023 17:31:52 +0200

Hi Matthieu,

Did you get a change to look into what pukkamustard wrote (below)?

If you think everything is fine as-is, please let us know and we’ll
apply the patches.

Thanks,
Ludo’.

pukkamustard <[email-masked]> skribis:

> Hello,
>
> Matthieu Lemerre <[email-masked]> writes:
>
>> Here are three missing OCaml packages. (I have more to come, but I want to make sure that I got the process right)
>
> Thanks!
>
> Descriptions are good, packages build and lint does not complain. Looks
> good to me!
>
> One small thing: It seems like ocaml-ocb is not a real dependency of
> ocaml-toml (not even a test dependency). It seems to be used only when
> deploying new versions of ocaml-toml and ocaml-toml builds fine without
> ocaml-ocb. I would drop ocaml-ocb from inputs of ocaml-toml and if you
> have no use of ocaml-ocb directly, drop the entire ocaml-ocb patch.
>
> Cheers,
> pukkamustard